<div class="jumbotron">
  <div class="container">
    <h5 class="display-6">Mumablue</h5>
    <form autocomplete="off"  novalidate [formGroup]="filterForm">
      <div class="form-row">
          <div class="col-3">
            <select class="form-control" placeholder="Producto" formControlName='type'>
                <option value="" selected disabled hidden>Producto...</option>
                <option value="">Producto...</option>
                <option value="book">book</option>
                <option value="doll">doll</option>
              </select>
          </div>
          <div class="col-3">
            <select type="text" class="form-control" formControlName='language'>
                <option value="" selected disabled hidden>Lenguaje...</option>
                <option value="">Lenguaje...</option>
                <option *ngFor='let language of languages' value='{{language.code}}'>{{language.name}}</option>
            </select>
          </div>
          <div class="col-2">
            <select type="text" class="form-control" placeholder="country" formControlName='country'>
                <option value="" selected disabled hidden>Pais...</option>
                <option value="">Pais...</option>
                <option *ngFor='let country of countries' value='{{country.id}}'>{{country.name}}</option>
            </select>
          </div>
          <div class="col">
            <input type="number" class="form-control" placeholder="Nº personajes"  min="0" max="99" pattern="^[0-9]+" formControlName='people'>
          </div>
        </div>
        <div class="separador"></div>
        <div class="form-row">
          <div class="col-1">
              <label class="form-check-label" for="inlineCheckbox1">Edad</label>
          </div>
          <div class="col-9">
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="checkbox" id="inlineCheckbox1" (click)="onChange('low', $event.target.checked)">
              <label class="form-check-label" for="inlineCheckbox1">Low</label>
            </div>
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="checkbox" id="inlineCheckbox2"  (click)="onChange('middle', $event.target.checked)">
              <label class="form-check-label" for="inlineCheckbox2">Middle</label>
            </div>
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="checkbox" id="inlineCheckbox3"  (click)="onChange('high', $event.target.checked)">
              <label class="form-check-label" for="inlineCheckbox3">High</label>
            </div>
          </div>
        </div>
        <div class="separador"></div>
        <div class="form-row">
            <div class="col-auto">
              <button (click)='submit()' type="submit" class="btn btn-primary mb-2">Buscar</button>
            </div>
        </div>
    </form>

  </div>
</div>
